## org.eclipse.datatools.connectivity.db.generic
Interface IDBConnectionProfileConstants

All Superinterfaces:
  IJDBCConnectionProfileConstants, IJDBCDriverDefinitionConstants

    public interface IDBConnectionProfileConstants

extends IJDBCConnectionProfileConstants

Constant definitions for property keys used to identify DB connection profile properties.

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.drivers.jdbc.IJDBCConnectionProfileConstants
`CONNECTION_PROFILE_ID, CONNECTION_PROPERTIES_PROP_ID, CONNECTION_PROPERTY_PAGE_ID, DEFAULT_SCHEMA_PROP_ID, SAVE_PASSWORD_PROP_ID`

Fields inherited from interface org.eclipse.datatools.connectivity.drivers.jdbc.IJDBCDriverDefinitionConstants
`DATABASE_CATEGORY_ID, DATABASE_NAME_PROP_ID, DATABASE_VENDOR_PROP_ID, DATABASE_VERSION_PROP_ID, DRIVER_CLASS_PROP_ID, PASSWORD_PROP_ID, PROP_PREFIX, URL_PROP_ID, USERNAME_PROP_ID`